diff --git a/android/guava-tests/test/com/google/common/collect/IteratorsTest.java b/android/guava-tests/test/com/google/common/collect/IteratorsTest.java
index 15f7ccc..6c7e130 100644
--- a/android/guava-tests/test/com/google/common/collect/IteratorsTest.java
+++ b/android/guava-tests/test/com/google/common/collect/IteratorsTest.java
@@ -27,8 +27,6 @@ import static com.google.common.truth.Truth.assertThat;
 import static java.util.Arrays.asList;
 import static java.util.Collections.singleton;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Function;
 import com.google.common.base.Predicate;
 import com.google.common.base.Predicates;
@@ -63,10 +61,9 @@ import junit.framework.TestSuite;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 public class IteratorsTest extends TestCase {
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite(IteratorsTest.class.getSimpleName());
     suite.addTest(testsForRemoveAllAndRetainAll());
@@ -247,21 +244,21 @@ public class IteratorsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // Iterators.toArray(Iterator, Class)
+  // Iterators.toArray(Iterator, Class)
   public void testToArrayEmpty() {
     Iterator<String> iterator = Collections.<String>emptyList().iterator();
     String[] array = Iterators.toArray(iterator, String.class);
     assertTrue(Arrays.equals(new String[0], array));
   }
 
-  @GwtIncompatible // Iterators.toArray(Iterator, Class)
+  // Iterators.toArray(Iterator, Class)
   public void testToArraySingleton() {
     Iterator<String> iterator = Collections.singletonList("a").iterator();
     String[] array = Iterators.toArray(iterator, String.class);
     assertTrue(Arrays.equals(new String[] {"a"}, array));
   }
 
-  @GwtIncompatible // Iterators.toArray(Iterator, Class)
+  // Iterators.toArray(Iterator, Class)
   public void testToArray() {
     String[] sourceArray = new String[] {"a", "b", "c"};
     Iterator<String> iterator = asList(sourceArray).iterator();
@@ -310,7 +307,7 @@ public class IteratorsTest extends TestCase {
     assertEquals(expected, actual);
   }
 
-  @GwtIncompatible // unreasonably slow
+  // unreasonably slow
   public void testFilterUsingIteratorTester() {
     final List<Integer> list = asList(1, 2, 3, 4, 5);
     final Predicate<Integer> isEven =
@@ -696,7 +693,7 @@ public class IteratorsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // unreasonably slow
+  // unreasonably slow
   public void testCycleUsingIteratorTester() {
     new IteratorTester<Integer>(
         5,
@@ -710,7 +707,7 @@ public class IteratorsTest extends TestCase {
     }.test();
   }
 
-  @GwtIncompatible // slow (~5s)
+  // slow (~5s)
   public void testConcatNoIteratorsYieldsEmpty() {
     new EmptyIteratorTester() {
       @SuppressWarnings("unchecked")
@@ -721,7 +718,7 @@ public class IteratorsTest extends TestCase {
     }.test();
   }
 
-  @GwtIncompatible // slow (~5s)
+  // slow (~5s)
   public void testConcatOneEmptyIteratorYieldsEmpty() {
     new EmptyIteratorTester() {
       @SuppressWarnings("unchecked")
@@ -732,7 +729,7 @@ public class IteratorsTest extends TestCase {
     }.test();
   }
 
-  @GwtIncompatible // slow (~5s)
+  // slow (~5s)
   public void testConcatMultipleEmptyIteratorsYieldsEmpty() {
     new EmptyIteratorTester() {
       @Override
@@ -742,7 +739,7 @@ public class IteratorsTest extends TestCase {
     }.test();
   }
 
-  @GwtIncompatible // slow (~3s)
+  // slow (~3s)
   public void testConcatSingletonYieldsSingleton() {
     new SingletonIteratorTester() {
       @SuppressWarnings("unchecked")
@@ -753,7 +750,7 @@ public class IteratorsTest extends TestCase {
     }.test();
   }
 
-  @GwtIncompatible // slow (~5s)
+  // slow (~5s)
   public void testConcatEmptyAndSingletonAndEmptyYieldsSingleton() {
     new SingletonIteratorTester() {
       @Override
@@ -763,7 +760,7 @@ public class IteratorsTest extends TestCase {
     }.test();
   }
 
-  @GwtIncompatible // fairly slow (~40s)
+  // fairly slow (~40s)
   public void testConcatSingletonAndSingletonYieldsDoubleton() {
     new DoubletonIteratorTester() {
       @Override
@@ -773,7 +770,7 @@ public class IteratorsTest extends TestCase {
     }.test();
   }
 
-  @GwtIncompatible // fairly slow (~40s)
+  // fairly slow (~40s)
   public void testConcatSingletonAndSingletonWithEmptiesYieldsDoubleton() {
     new DoubletonIteratorTester() {
       @Override
@@ -783,7 +780,7 @@ public class IteratorsTest extends TestCase {
     }.test();
   }
 
-  @GwtIncompatible // fairly slow (~50s)
+  // fairly slow (~50s)
   public void testConcatUnmodifiable() {
     new IteratorTester<Integer>(
         5, UNMODIFIABLE, asList(1, 2), IteratorTester.KnownOrder.KNOWN_ORDER) {
@@ -889,27 +886,27 @@ public class IteratorsTest extends TestCase {
     assertFalse(changed);
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointerExceptions() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(Iterators.class);
   }
 
-  @GwtIncompatible // Only used by @GwtIncompatible code
+  // Only used by @GwtIncompatible code
   private abstract static class EmptyIteratorTester extends IteratorTester<Integer> {
     protected EmptyIteratorTester() {
       super(3, MODIFIABLE, Collections.<Integer>emptySet(), IteratorTester.KnownOrder.KNOWN_ORDER);
     }
   }
 
-  @GwtIncompatible // Only used by @GwtIncompatible code
+  // Only used by @GwtIncompatible code
   private abstract static class SingletonIteratorTester extends IteratorTester<Integer> {
     protected SingletonIteratorTester() {
       super(3, MODIFIABLE, singleton(1), IteratorTester.KnownOrder.KNOWN_ORDER);
     }
   }
 
-  @GwtIncompatible // Only used by @GwtIncompatible code
+  // Only used by @GwtIncompatible code
   private abstract static class DoubletonIteratorTester extends IteratorTester<Integer> {
     protected DoubletonIteratorTester() {
       super(5, MODIFIABLE, newArrayList(1, 2), IteratorTester.KnownOrder.KNOWN_ORDER);
@@ -1001,7 +998,7 @@ public class IteratorsTest extends TestCase {
     assertFalse(partitions.hasNext());
   }
 
-  @GwtIncompatible // fairly slow (~50s)
+  // fairly slow (~50s)
   public void testPartition_general() {
     new IteratorTester<List<Integer>>(
         5,
@@ -1030,7 +1027,7 @@ public class IteratorsTest extends TestCase {
     assertEquals(ImmutableList.of(3), first);
   }
 
-  @GwtIncompatible // ?
+  // ?
   // TODO: Figure out why this is failing in GWT.
   public void testPartitionRandomAccess() {
     Iterator<Integer> source = asList(1, 2, 3).iterator();
@@ -1072,7 +1069,7 @@ public class IteratorsTest extends TestCase {
     assertFalse(partitions.hasNext());
   }
 
-  @GwtIncompatible // fairly slow (~50s)
+  // fairly slow (~50s)
   public void testPaddedPartition_general() {
     new IteratorTester<List<Integer>>(
         5,
@@ -1171,7 +1168,7 @@ public class IteratorsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // unreasonably slow
+  // unreasonably slow
   public void testForArrayUsingTester() {
     new IteratorTester<Integer>(
         6, UNMODIFIABLE, asList(1, 2, 3), IteratorTester.KnownOrder.KNOWN_ORDER) {
@@ -1182,7 +1179,7 @@ public class IteratorsTest extends TestCase {
     }.test();
   }
 
-  @GwtIncompatible // unreasonably slow
+  // unreasonably slow
   public void testForArrayWithOffsetUsingTester() {
     new IteratorTester<Integer>(
         6, UNMODIFIABLE, asList(1, 2, 3), IteratorTester.KnownOrder.KNOWN_ORDER) {
@@ -1333,7 +1330,7 @@ public class IteratorsTest extends TestCase {
     assertEquals("pants", list.get(0));
   }
 
-  @GwtIncompatible // fairly slow (~30s)
+  // fairly slow (~30s)
   public void testLimitUsingIteratorTester() {
     final List<Integer> list = Lists.newArrayList(1, 2, 3, 4, 5);
     new IteratorTester<Integer>(
@@ -1535,7 +1532,7 @@ public class IteratorsTest extends TestCase {
     assertEquals(3, Iterators.frequency(list.iterator(), null));
   }
 
-  @GwtIncompatible // slow (~4s)
+  // slow (~4s)
   public void testSingletonIterator() {
     new IteratorTester<Integer>(
         3, UNMODIFIABLE, singleton(1), IteratorTester.KnownOrder.KNOWN_ORDER) {
@@ -1586,7 +1583,7 @@ public class IteratorsTest extends TestCase {
     assertEquals(newArrayList("b", "d"), list);
   }
 
-  @GwtIncompatible // ListTestSuiteBuilder
+  // ListTestSuiteBuilder
   private static Test testsForRemoveAllAndRetainAll() {
     return ListTestSuiteBuilder.using(
             new TestStringListGenerator() {
@@ -1640,7 +1637,7 @@ public class IteratorsTest extends TestCase {
     assertFalse(consumingIterator.hasNext());
   }
 
-  @GwtIncompatible // ?
+  // ?
   // TODO: Figure out why this is failing in GWT.
   public void testConsumingIterator_duelingIterators() {
     // Test data
diff --git a/android/guava-tests/test/com/google/common/collect/LegacyComparable.java b/android/guava-tests/test/com/google/common/collect/LegacyComparable.java
index 8b0c962..534d4f7 100644
--- a/android/guava-tests/test/com/google/common/collect/LegacyComparable.java
+++ b/android/guava-tests/test/com/google/common/collect/LegacyComparable.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import java.io.Serializable;
 import java.util.Arrays;
 
@@ -28,7 +27,6 @@ import java.util.Arrays;
  * @author Kevin Bourrillion
  */
 @SuppressWarnings("ComparableType")
-@GwtCompatible
 class LegacyComparable implements Comparable, Serializable {
   static final LegacyComparable X = new LegacyComparable("x");
   static final LegacyComparable Y = new LegacyComparable("y");
diff --git a/android/guava-tests/test/com/google/common/collect/LenientSerializableTester.java b/android/guava-tests/test/com/google/common/collect/LenientSerializableTester.java
index ce3ec9d..168df4d 100644
--- a/android/guava-tests/test/com/google/common/collect/LenientSerializableTester.java
+++ b/android/guava-tests/test/com/google/common/collect/LenientSerializableTester.java
@@ -20,10 +20,7 @@ import static com.google.common.testing.SerializableTester.reserialize;
 import static junit.framework.Assert.assertEquals;
 import static junit.framework.Assert.assertTrue;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.testing.SerializableTester;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.Collection;
 import java.util.Set;
 
@@ -37,14 +34,12 @@ import java.util.Set;
  * The whole thing is really @GwtIncompatible, but GwtJUnitConvertedTestModule doesn't have a
  * parameter for non-GWT, non-test files, and it didn't seem worth adding one for this unusual case.
  */
-@GwtCompatible(emulated = true)
 final class LenientSerializableTester {
   /*
    * TODO(cpovirk): move this to c.g.c.testing if we allow for c.g.c.annotations dependencies so
    * that it can be GWTified?
    */
-  @CanIgnoreReturnValue
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   static <E> Set<E> reserializeAndAssertLenient(Set<E> original) {
     Set<E> copy = reserialize(original);
     assertEquals(original, copy);
@@ -52,8 +47,7 @@ final class LenientSerializableTester {
     return copy;
   }
 
-  @CanIgnoreReturnValue
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   static <E> Multiset<E> reserializeAndAssertLenient(Multiset<E> original) {
     Multiset<E> copy = reserialize(original);
     assertEquals(original, copy);
@@ -61,8 +55,7 @@ final class LenientSerializableTester {
     return copy;
   }
 
-  @CanIgnoreReturnValue
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   static <E> Collection<E> reserializeAndAssertElementsEqual(Collection<E> original) {
     Collection<E> copy = reserialize(original);
     assertTrue(Iterables.elementsEqual(original, copy));
diff --git a/android/guava-tests/test/com/google/common/collect/LinkedHashMultimapTest.java b/android/guava-tests/test/com/google/common/collect/LinkedHashMultimapTest.java
index 92d8e05..24606f8 100644
--- a/android/guava-tests/test/com/google/common/collect/LinkedHashMultimapTest.java
+++ b/android/guava-tests/test/com/google/common/collect/LinkedHashMultimapTest.java
@@ -24,8 +24,6 @@ import static com.google.common.collect.testing.IteratorFeature.MODIFIABLE;
 import static com.google.common.truth.Truth.assertThat;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.IteratorTester;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
@@ -49,10 +47,9 @@ import junit.framework.TestSuite;
  *
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class LinkedHashMultimapTest extends TestCase {
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTest(
@@ -135,14 +132,14 @@ public class LinkedHashMultimapTest extends TestCase {
     assertOrderingReadOnly(Multimaps.synchronizedMultimap(multimap));
   }
 
-  @GwtIncompatible // SeriazableTester
+  // SeriazableTester
   public void testSerializationOrdering() {
     Multimap<String, Integer> multimap = initializeMultimap5();
     Multimap<String, Integer> copy = SerializableTester.reserializeAndAssert(multimap);
     assertOrderingReadOnly(copy);
   }
 
-  @GwtIncompatible // SeriazableTester
+  // SeriazableTester
   public void testSerializationOrderingKeysAndEntries() {
     Multimap<String, Integer> multimap = LinkedHashMultimap.create();
     multimap.put("a", 1);
@@ -275,7 +272,7 @@ public class LinkedHashMultimapTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // unreasonably slow
+  // unreasonably slow
   public void testGetIteration() {
     new IteratorTester<Integer>(
         6,
@@ -300,7 +297,7 @@ public class LinkedHashMultimapTest extends TestCase {
     }.test();
   }
 
-  @GwtIncompatible // unreasonably slow
+  // unreasonably slow
   public void testEntriesIteration() {
     @SuppressWarnings("unchecked")
     Set<Entry<String, Integer>> set =
@@ -332,7 +329,7 @@ public class LinkedHashMultimapTest extends TestCase {
     }.test();
   }
 
-  @GwtIncompatible // unreasonably slow
+  // unreasonably slow
   public void testKeysIteration() {
     new IteratorTester<String>(
         6,
@@ -357,7 +354,7 @@ public class LinkedHashMultimapTest extends TestCase {
     }.test();
   }
 
-  @GwtIncompatible // unreasonably slow
+  // unreasonably slow
   public void testValuesIteration() {
     new IteratorTester<Integer>(
         6, MODIFIABLE, newArrayList(2, 3, 4, 5, 6), IteratorTester.KnownOrder.KNOWN_ORDER) {
@@ -379,7 +376,7 @@ public class LinkedHashMultimapTest extends TestCase {
     }.test();
   }
 
-  @GwtIncompatible // unreasonably slow
+  // unreasonably slow
   public void testKeySetIteration() {
     new IteratorTester<String>(
         6,
@@ -408,7 +405,7 @@ public class LinkedHashMultimapTest extends TestCase {
     }.test();
   }
 
-  @GwtIncompatible // unreasonably slow
+  // unreasonably slow
   public void testAsSetIteration() {
     @SuppressWarnings("unchecked")
     Set<Entry<String, Collection<Integer>>> set =
diff --git a/android/guava-tests/test/com/google/common/collect/LinkedHashMultisetTest.java b/android/guava-tests/test/com/google/common/collect/LinkedHashMultisetTest.java
index da7e868..2ffc94b 100644
--- a/android/guava-tests/test/com/google/common/collect/LinkedHashMultisetTest.java
+++ b/android/guava-tests/test/com/google/common/collect/LinkedHashMultisetTest.java
@@ -19,8 +19,6 @@ package com.google.common.collect;
 import static com.google.common.truth.Truth.assertThat;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.google.MultisetFeature;
@@ -37,10 +35,9 @@ import junit.framework.TestSuite;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 public class LinkedHashMultisetTest extends TestCase {
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTest(
diff --git a/android/guava-tests/test/com/google/common/collect/LinkedListMultimapTest.java b/android/guava-tests/test/com/google/common/collect/LinkedListMultimapTest.java
index b0d48f0..f36d74a 100644
--- a/android/guava-tests/test/com/google/common/collect/LinkedListMultimapTest.java
+++ b/android/guava-tests/test/com/google/common/collect/LinkedListMultimapTest.java
@@ -25,8 +25,6 @@ import static com.google.common.collect.testing.IteratorFeature.SUPPORTS_SET;
 import static com.google.common.truth.Truth.assertThat;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.IteratorTester;
 import com.google.common.collect.testing.ListIteratorTester;
 import com.google.common.collect.testing.features.CollectionFeature;
@@ -54,10 +52,9 @@ import junit.framework.TestSuite;
  *
  * @author Mike Bostock
  */
-@GwtCompatible(emulated = true)
 public class LinkedListMultimapTest extends TestCase {
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTest(
@@ -333,7 +330,7 @@ public class LinkedListMultimapTest extends TestCase {
   }
 
   @SuppressWarnings("unchecked")
-  @GwtIncompatible // unreasonably slow
+  // unreasonably slow
   public void testEntriesIteration() {
     List<Entry<String, Integer>> addItems =
         ImmutableList.of(
@@ -370,7 +367,7 @@ public class LinkedListMultimapTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // unreasonably slow
+  // unreasonably slow
   public void testKeysIteration() {
     new IteratorTester<String>(
         6,
@@ -395,7 +392,7 @@ public class LinkedListMultimapTest extends TestCase {
     }.test();
   }
 
-  @GwtIncompatible // unreasonably slow
+  // unreasonably slow
   public void testValuesIteration() {
     List<Integer> addItems = ImmutableList.of(99, 88, 77);
 
@@ -426,7 +423,7 @@ public class LinkedListMultimapTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // unreasonably slow
+  // unreasonably slow
   public void testKeySetIteration() {
     new IteratorTester<String>(
         6,
@@ -456,7 +453,7 @@ public class LinkedListMultimapTest extends TestCase {
   }
 
   @SuppressWarnings("unchecked")
-  @GwtIncompatible // unreasonably slow
+  // unreasonably slow
   public void testAsSetIteration() {
     Set<Entry<String, Collection<Integer>>> set =
         Sets.newLinkedHashSet(
@@ -498,7 +495,7 @@ public class LinkedListMultimapTest extends TestCase {
         .testEquals();
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public void testNulls() throws Exception {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(LinkedListMultimap.class);
diff --git a/android/guava-tests/test/com/google/common/collect/ListsImplTest.java b/android/guava-tests/test/com/google/common/collect/ListsImplTest.java
index 2d18f5a..284ee30 100644
--- a/android/guava-tests/test/com/google/common/collect/ListsImplTest.java
+++ b/android/guava-tests/test/com/google/common/collect/ListsImplTest.java
@@ -19,8 +19,6 @@ package com.google.common.collect;
 import static com.google.common.truth.Truth.assertThat;
 import static com.google.common.truth.Truth.assertWithMessage;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.Collection;
@@ -34,7 +32,6 @@ import junit.framework.TestCase;
 import junit.framework.TestSuite;
 
 /** Tests the package level *impl methods directly using various types of lists. */
-@GwtCompatible(emulated = true)
 public class ListsImplTest extends TestCase {
 
   /** Describes how a list is modifiable */
@@ -70,7 +67,7 @@ public class ListsImplTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTest(createExampleSuite(new ArrayListExample("ArrayList")));
@@ -82,7 +79,7 @@ public class ListsImplTest extends TestCase {
     return suite;
   }
 
-  @GwtIncompatible // suite sub call
+  // suite sub call
   private static TestSuite createExampleSuite(ListExample example) {
     TestSuite resultSuite = new TestSuite(ListsImplTest.class);
     for (Enumeration<Test> testEnum = resultSuite.tests(); testEnum.hasMoreElements(); ) {
@@ -261,7 +258,7 @@ public class ListsImplTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // Iterables.toArray
+  // Iterables.toArray
   private static final class ArraysAsListExample extends ListExample {
 
     protected ArraysAsListExample(String name) {
@@ -288,7 +285,7 @@ public class ListsImplTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // CopyOnWriteArrayList
+  // CopyOnWriteArrayList
   private static final class CopyOnWriteListExample extends ListExample {
 
     protected CopyOnWriteListExample(String name) {
diff --git a/android/guava-tests/test/com/google/common/collect/ListsTest.java b/android/guava-tests/test/com/google/common/collect/ListsTest.java
index ef90e54..b0f025e 100644
--- a/android/guava-tests/test/com/google/common/collect/ListsTest.java
+++ b/android/guava-tests/test/com/google/common/collect/ListsTest.java
@@ -22,8 +22,6 @@ import static com.google.common.truth.Truth.assertThat;
 import static java.util.Arrays.asList;
 import static java.util.Collections.singletonList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Function;
 import com.google.common.base.Functions;
 import com.google.common.collect.testing.IteratorTester;
@@ -58,7 +56,6 @@ import junit.framework.TestSuite;
  * @author Mike Bostock
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class ListsTest extends TestCase {
 
   private static final Collection<Integer> SOME_COLLECTION = asList(0, 1, 1);
@@ -98,7 +95,7 @@ public class ListsTest extends TestCase {
     private static final long serialVersionUID = 0;
   }
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTestSuite(ListsTest.class);
@@ -393,19 +390,19 @@ public class ListsTest extends TestCase {
     assertEquals(SOME_COLLECTION, list);
   }
 
-  @GwtIncompatible // CopyOnWriteArrayList
+  // CopyOnWriteArrayList
   public void testNewCOWALEmpty() {
     CopyOnWriteArrayList<Integer> list = Lists.newCopyOnWriteArrayList();
     assertEquals(Collections.emptyList(), list);
   }
 
-  @GwtIncompatible // CopyOnWriteArrayList
+  // CopyOnWriteArrayList
   public void testNewCOWALFromIterable() {
     CopyOnWriteArrayList<Integer> list = Lists.newCopyOnWriteArrayList(SOME_ITERABLE);
     assertEquals(SOME_COLLECTION, list);
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointerExceptions() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(Lists.class);
@@ -441,7 +438,7 @@ public class ListsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testAsList1() {
     List<String> list = Lists.asList("foo", new String[] {"bar", "baz"});
     checkFooBarBazList(list);
@@ -499,7 +496,7 @@ public class ListsTest extends TestCase {
     }.test();
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testAsList2Small() {
     List<String> list = Lists.asList("foo", "bar", new String[0]);
     assertThat(list).containsExactly("foo", "bar").inOrder();
@@ -935,7 +932,7 @@ public class ListsTest extends TestCase {
     assertEquals(asList(3), partitions.get(1));
   }
 
-  @GwtIncompatible // ArrayList.subList doesn't implement RandomAccess in GWT.
+  // ArrayList.subList doesn't implement RandomAccess in GWT.
   public void testPartitionRandomAccessTrue() {
     List<Integer> source = asList(1, 2, 3);
     List<List<Integer>> partitions = Lists.partition(source, 2);
@@ -993,7 +990,7 @@ public class ListsTest extends TestCase {
     assertEquals(1, Lists.partition(list, Integer.MAX_VALUE - 1).size());
   }
 
-  @GwtIncompatible // cannot do such a big explicit copy
+  // cannot do such a big explicit copy
   public void testPartitionSize_2() {
     assertEquals(2, Lists.partition(Collections.nCopies(0x40000001, 1), 0x40000000).size());
   }
diff --git a/android/guava-tests/test/com/google/common/collect/MapMakerInternalMapTest.java b/android/guava-tests/test/com/google/common/collect/MapMakerInternalMapTest.java
index 47fc74c..1003dca 100644
--- a/android/guava-tests/test/com/google/common/collect/MapMakerInternalMapTest.java
+++ b/android/guava-tests/test/com/google/common/collect/MapMakerInternalMapTest.java
@@ -23,8 +23,6 @@ import com.google.common.base.Equivalence;
 import com.google.common.collect.MapMakerInternalMap.InternalEntry;
 import com.google.common.collect.MapMakerInternalMap.Segment;
 import com.google.common.collect.MapMakerInternalMap.Strength;
-import com.google.common.collect.MapMakerInternalMap.WeakValueEntry;
-import com.google.common.collect.MapMakerInternalMap.WeakValueReference;
 import com.google.common.testing.NullPointerTester;
 import java.lang.ref.Reference;
 import java.util.concurrent.atomic.AtomicReferenceArray;
diff --git a/android/guava-tests/test/com/google/common/collect/MapMakerTest.java b/android/guava-tests/test/com/google/common/collect/MapMakerTest.java
index 4b54f0d..44c699f 100644
--- a/android/guava-tests/test/com/google/common/collect/MapMakerTest.java
+++ b/android/guava-tests/test/com/google/common/collect/MapMakerTest.java
@@ -18,8 +18,6 @@ package com.google.common.collect;
 
 import static com.google.common.util.concurrent.Uninterruptibles.awaitUninterruptibly;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Function;
 import com.google.common.testing.NullPointerTester;
 import java.util.Map;
@@ -28,16 +26,15 @@ import java.util.concurrent.CountDownLatch;
 import junit.framework.TestCase;
 
 /** @author Charles Fry */
-@GwtCompatible(emulated = true)
 public class MapMakerTest extends TestCase {
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullParameters() throws Exception {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicInstanceMethods(new MapMaker());
   }
 
-  @GwtIncompatible // threads
+  // threads
   static final class DelayingIdentityLoader<T> implements Function<T, T> {
     private final CountDownLatch delayLatch;
 
diff --git a/android/guava-tests/test/com/google/common/collect/MapsCollectionTest.java b/android/guava-tests/test/com/google/common/collect/MapsCollectionTest.java
index 54aa1aa..5c5e227 100644
--- a/android/guava-tests/test/com/google/common/collect/MapsCollectionTest.java
+++ b/android/guava-tests/test/com/google/common/collect/MapsCollectionTest.java
@@ -52,7 +52,6 @@ import java.util.SortedSet;
 import junit.framework.Test;
 import junit.framework.TestCase;
 import junit.framework.TestSuite;
-import org.checkerframework.checker.nullness.compatqual.NullableDecl;
 
 /**
  * Test suites for wrappers in {@code Maps}.
diff --git a/android/guava-tests/test/com/google/common/collect/MapsSortedTransformValuesTest.java b/android/guava-tests/test/com/google/common/collect/MapsSortedTransformValuesTest.java
index 98bbde5..7db6930 100644
--- a/android/guava-tests/test/com/google/common/collect/MapsSortedTransformValuesTest.java
+++ b/android/guava-tests/test/com/google/common/collect/MapsSortedTransformValuesTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.base.Function;
 import com.google.common.base.Functions;
 import java.util.SortedMap;
@@ -26,7 +25,6 @@ import java.util.SortedMap;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 public class MapsSortedTransformValuesTest extends MapsTransformValuesTest {
 
   @Override
